> This page is for Enterprise.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://citi-demo.ferndocs.com/enterprise/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://citi-demo.ferndocs.com/enterprise/_mcp/server.

# Amend Specific Information In An Existing Mandate

PATCH https://tts.sit.apib2b.citi.com/citiconnect/sit5/recievablesservices/v1/mandates/amend
Content-Type: application/json

This endpoint allows to perform amend an existing mandate by Initiator.

 Mandates amended by initiator can be unilateral or bilateral. When applied unilaterally, then the amendment will be done immediately. When applied bilaterally, the amendment will remain pending until it is completed or declined by the counter party, or until it is recalled by the proposing party, or until it expires.

Reference: https://citi-demo.ferndocs.com/enterprise/enterprises/api-reference/payment-acceptance/direct-debit/e-mandate-service-api/amend-mandate

## Authentication

- `Authorization` header (bearer token, required) — All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

## Servers

- `https://tts.sit.apib2b.citi.com/citiconnect/sit5/recievablesservices` (dev gateway url, default)
- `https://tts.sit.apib2b.citi.com/citiconnect/uat1/recievablesservices` (uat gateway url)
- `https://tts.apib2b.citi.com/citiconnect/prod/recievablesservices` (production gateway url)
- `https://tts.sandbox.apib2b.citi.com/citiconnect/sb/recievablesservices` (sandbox gateway url)

## Request

### Query parameters

- `client_id` (string, required) — Unique reference which was shared during CitiConnect API Onboarding (client_id which used during OAuth token generation)
- `mandate_identification` (string, required) — Specify Unique identification, as assigned by the clearing scheme, to identify the mandate.

### Body (application/json)

This endpoint expects an AmendMandateDetails.

- `amend_details` (AmendDetails, required)
- `amendment_mandate_details` (AmendmentMandateDetails, required)
- `amendment_initiating_party` (AmendmentInitiatingParty, optional)
- `amendment_creditor` (AmendmentCreditor, optional)
- `amendment_ultimate` (AmendmentUltimate, optional)

## Response

### 200

OK

- `mandate_acceptance` (MandateResponseMandateAcceptance, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_detail` (list of ErrorDetails, optional)
- `error_details` (list of ErrorDetails, optional)

### 401 Unauthorized Error

Unauthorized

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_detail` (list of ErrorDetails, optional)
- `error_details` (list of ErrorDetails, optional)

### 405 Method Not Allowed Error

Method Not Allowed

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_detail` (list of ErrorDetails, optional)
- `error_details` (list of ErrorDetails, optional)

### 415 Unsupported Media Type Error

Unsupported Media Type

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_detail` (list of ErrorDetails, optional)
- `error_details` (list of ErrorDetails, optional)

### 500 Internal Server Error

Internal Server Error

- `ref_id` (string, optional) — Unique ID for the Transaction
- `error_detail` (list of ErrorDetails, optional)
- `error_details` (list of ErrorDetails, optional)

## Types

### AmendDetails

- `amend_reason` (enum, required) — Specification of amendment reason MD16-Requested By Customer MD17-Requested By Initiating Party MD18-Requested By Initiating Party And CustomerMS02-Not Specified Reason CustomerMS03-Not Specified Reason Agent Generated MSUC-Mandate suspended after 7 consecutive unsuccessful collections NARR- Reason is provided as narrative information
  - Allowed values: `MD16`, `MD17`, `MD18`, `MS02`, `MS03`, `NARR`
- `amend_additional_information` (string, optional) — Specification of amendment additional information

### AmendmentMandateDetails

- `country` (string, required) — Specify the country code where the mandate request has been originated.Australia = AUHongkong = HKArgentina = ARSEPA = UK
- `instruction_priority` (enum, required) — Specifies the priority level of an event. For Australia This parameter is not allowed to amend.
  - Allowed values: `NORM`, `UNAT`
- `becs_user_identification` (string, optional) — BECS user ID related to migrated DDR mandate. For Australia this parameter is not allowed to amend.
- `mandate_description` (string, optional) — Specify the description of the reason for mandate setup as narrative text. This parameter is specific to Australia. both mandate\_description and mandate\_additional\_ information parameters are expected to be sent by client for Australia. For Australia, this parameter is allowed to amend unilaterally.
- `sequence_type` (enum, optional) — Specify the underlying transaction sequence as either recurring or one-off. For Australia this parameter is not allowed to amend.
  - Allowed values: `RCUR`, `OOFF`
- `payment_frequency` (enum, optional) — Specify the regularity of an event.ADHO = Ad hoc (Event takes place on request or as necessary)DAIL = Daily (Event takes place every day)FRTN = Fortnightly (Event takes place every two weeks)INDA = Intraday (Event takes place several times a day)MIAN = Semiannual (Event takes place every six months or two times a year)MNTH = Monthly (Event takes place every month)QURT = Quarterly (Event takes place every three months)WEEK = Weekly (Event takes place once a week)YEAR = Annual (Event takes place every year or once a year) For Australia this parameter is allowed to amend bilaterally
  - Allowed values: `ADHO`, `DAIL`, `FRTN`, `INDA`, `MIAN`, `MNTH`, `QURT`, `WEEK`, `YEAR`
- `count_per_period` (string, optional) — Specify the frequency in terms of the number of instructions to be created and processed during the specified period. For Australia, this parameter is allowed to amend bilaterally.
- `point_in_time` (string, optional) — Specify the frequency in terms of an exact point in time or moment within the specified period. For Australia, this parameter is allowed to amend bilaterally.
- `tracking_indicator` (boolean, optional) — Specify the indicating value either True or False, whether the direct debit instructions should be automatically re-submitted periodically when bilaterally agreed. For Australia, this parameter is allowed to amend bilaterally.
- `mandate_additional_information` (string, optional) — Specify the additional information in free text form to complement the mandate information. For Australia, this parameter is allowed to amend unilaterally.
- `payment_execution_not_before_time` (string, optional) — Indicates that each execution of the mandate payment should not occur before a given time(hh:mm:ss.sssZ) of that execution day. This parameter is specific to Australia. For Australia this parameter is allowed to amend bilaterally.
- `transfer_arrangement` (string, optional) — Indication of future transfer date, conditions of sale and requirement to hold funds. This parameter is specific to Australia. For Australia this parameter is allowed to amend bilaterally.
- `resolution_requested_by` (string, optional) — Time used to indicate by when resolution of a bilateral action is requested from the other party to the mandate. This parameter is specific to Australia. For Australia, this parameter is not allowed to amend.
- `service_id` (string, optional) — specify a pre-agreed service or level of service between the parties. This parameter is mandatory for Australia. For Australia, this parameter is not allowed to amend unilaterally.
- `mandate_start_date` (string, optional) — Start date of the validity of the mandate. Calender year expressed in the YYYY-MM-DD format. For Australia, this parameter is not allowed for amendment.
- `mandate_expiry_date` (string, optional) — Specify the End date of the validity of the mandate. Calender year expressed in the YYYY-MM-DD format. For Australia this parameter is allowed to amend bilaterally.
- `mandate_first_collection_date` (string, optional) — Specify the Date of the first collection of a direct debit as per the mandate. Calender year expressed in the YYYY-MM-DD format. For Australia this parameter is allowed to amend bilaterally.
- `mandate_final_collection_date` (string, optional) — Specify the Date of the final collection of a direct debit as per the mandate. Calender year expressed in the YYYY-MM-DD format. For Australia this parameter is allowed to amend bilaterally.
- `mandate_type` (enum, optional) — Specify the type of mandate. For Australia This parameter is not allowed to amend.
  - Allowed values: `DDMC`, `DDMP`, `DDMU`, `DDTP`, `SOTP`, `OTHR`
- `mandate_scheme` (string, optional) — Specify the arrangement (unilateral or bilateral) and the party that established the mandate. For Australia This parameter is not allowed to amend.
- `mandate_purpose` (string, optional) — Specify the high-level purpose of the mandate. For Australia This parameter is not allowed to amend.
- `payment_amount_type` (enum, optional) — Specify the mandate payment arrangement.FIXE -Fixed Direct debit amount is fixed.USGB -Usage Based Direct debit amount is based on usage.VARI -Variable Direct debit amount is variable BALN- Balloon Payment. For Australia this parameter is allowed to amend bilaterally.
  - Allowed values: `FIXE`, `USGB`, `VARI`, `BALN`
- `debtor_reference_number` (string, optional) — Specify the unique and unambiguous identification as assigned by the creditor to the referred document shared with the debtor for its own reference. For Australia, this parameter is not allowed to amend.
- `debtor_code` (string, optional) — Specify the Proprietary identification of the type of the remittance document. For Australia, this parameter is not allowed to amend.
- `creditor_reference_number` (string, optional) — Specify the unique and unambiguous identification as assigned by the debtor to the referred document shared with the creditor for its own reference. For Australia, this parameter is allowed to amend unilaterally.
- `payment_reference_number` (string, optional) — Specify the proprietary identification of the type of the remittance document. This parameter is not applicable to Australia.
- `currency` (string, optional) — Specify the collection account currency. For Australia, this parameter is not allowed to amend.
- `amount` (double, optional) — Specify the Fixed amount to be collected from the debtor’s account. For Australia if payment_amount_type parameter is equal to FIXE then this parameter is mandatory. For Australia, this parameter is allowed to amend bilaterally.
- `maximum_amount` (double, optional) — Specify the Maximum amount to be collected from the debtors account, per instruction. For Australia, this parameter is allowed to amend bilaterally.
- `first_collection_amount` (double, optional) — Specify the first collection amount to be collected from the debtors account. For Australia this parameter is allowed to amend bilaterally.
- `final_collection_amount` (double, optional) — Specify the final collection amount to be collected from the debtors account. For Australia this parameter is allowed to amend bilaterally.
- `cummulative_amount` (double, optional) — Specify the cumulative fixed amount to be collected from the debtors account. This parameter is not applicable to Australia.

### AmendmentInitiatingParty

- `name` (string, optional) — Specify the name by which a party is known and which is used to identify that party. For Australia, this parameter is allowed to amend unilaterally.
- `account` (string, optional) — Specify the unique identification of an account, as assigned by the account servicer, using an identification scheme. For Australia, this parameter is allowed to amend unilaterally.
- `other_identification_category` (enum, optional) — Specify the unique and unambiguous identification of a party. the value will be organization/Private. For Australia this parameter is not allowed to amend.
  - Allowed values: `ORG`, `PVT`
- `other_identification_type` (string, optional) — Specify the unique and unambiguous type to identify an organization/private identification. For Australia, this parameter is allowed to amend unilaterally.
- `other_identification` (string, optional) — Specify the value of an organization/private identification type. For Australia this parameter is not allowed to amend.
- `bank_routing_code` (string, optional) — Specify the unique identification of an organization, as assigned by an institution, using an identification scheme. For Australia this parameter is not allowed to amend.

### AmendmentCreditor

- `name` (string, optional) — Specify the name by which a party is known and which is used to identify that party. For Australia, this parameter is allowed to amend unilaterally.
- `address_1` (string, optional) — Specify the address of the party who involves in the payment flow. This parameter is not applicable to Australia.
- `address_2` (string, optional) — Specify the address of the party who involves in the payment flow. This parameter is not applicable to Australia.
- `address_3` (string, optional) — Specify the address of the party who involves in the payment flow. This parameter is not applicable to Australia.
- `country_code` (string, optional) — Specify the country code of the creditor address. This parameter is not applicable to Australia.
- `postal_code` (string, optional) — Specify the postal code of the creditor address. This parameter is not applicable to Australia.
- `town_name` (string, optional) — Specify the town name of the creditor address. This parameter is not applicable to Australia.
- `mobile_number` (string, optional) — Specify the mobile number of the creditor address. This parameter is not applicable to Australia.
- `fax_number` (string, optional) — Specify the fax number of the creditor address. This parameter is not applicable to Australia.
- `email` (string, optional) — Specify the Address for electronic mail (e-mail). This parameter is not applicable to Australia.
- `other_identification_category` (enum, optional) — Specify the unique and unambiguous identification of a party. The value will be either `ORG` or `PVT`. For Australia, this parameter is allowed to amend unilaterally.
  - Allowed values: `ORG`, `PVT`
- `other_identification_type` (string, optional) — Specify the unique and unambiguous way to identify an organization/private identification. For Australia, this parameter is allowed to amend unilaterally.
- `other_identification` (string, optional) — Specify the value of an organization/private identification. For Australia this parameter is allowed to amend unilaterally.
- `iban` (string, optional) — An identifier used internationally by financial institutions to uniquely identify the account of a customer at a financial institution, as described in the latest edition of the international standard ISO 13616: 2007 - Banking and related financial services - International Bank Account Number (IBAN). This parameter is not applicable to Australia.
- `bank_routing_code` (string, optional) — Specify the Code allocated to a financial institution by the ISO 9362 Registration Authority as described in ISO 9362 Banking - Banking telecommunication messages - Business identifier code (BIC). For Australia this parameter is not allowed to amend.
- `bank_branch_code` (string, optional) — Specify the 6-digit BSB/9-digit account identification assigned by the Entity. For Australia this parameter is not allowed to amend.
- `scheme_identification` (string, optional) — Specify the originator Creditor Scheme Identifier. This parameter is not applicable for Australia.
- `account` (string, optional) — Specify the unambiguous identification of the account of the creditor to which a debit entry will be posted as a result of the payment transaction. For Australia, this parameter is allowed to amend unilaterally.
- `account_type` (enum, optional) — Specify the name of the identification scheme, in a coded form as published in an external list.AIIN -Issuer Identification NumberBBAN- BBAN IdentifierCUID -CHIPS Universal IdentifierUPIC- UPIC IdentifierALIA-Alias (proxy). For Australia this parameter is allowed to amend unilaterally.
  - Allowed values: `AIIN`, `BBAN`, `CUID`, `UPIC`, `ALIA`
- `proxy_id` (string, optional) — Specify the Identification used to indicate the account identification under another specified name. For Australia, this parameter is allowed to amend unilaterally.
- `proxy_type` (enum, optional) — Specify the name of the identification scheme, in a coded form as published in an external list. Specify the value only when the mandate request is other than the payer (debtor) account number:TELE-TelephoneNumberEMAL-EmailAddressDNAM-DomainNameCINC-CertificateOfIncorporationNumberCOTX-CorporateTaxIdentificationCOID-CountryAuthorityIdentificationCUST-CustomerIdentificationNumberDRLC-DriverLicenseNumberEIDN-ElectronicIdentificationEWAL-EWalletIdentificationPVTX-IndividualTaxIdentificationLEIC-LegalEntityIdentifierCodeMBNO-MobilePhoneNumberNIDN-NationalIdentificationNumberCCPT-PassportNumberSHID-SchemeIdentificationNumberSOSE-SocialSecurityNumberTOKN-TokenIdentificationUBIL-UtilitiesSubscriptionIdentificationVIPN-VehicleIdentificationPlateNumberBIID-BillerSubscriberIdentification. For Australia, this parameter is allowed to amend unilaterally.
  - Allowed values: `TELE`, `EMAL`, `DNAM`, `CINC`, `COTX`, `COID`, `CUST`, `DRLC`, `EIDN`, `EWAL`, `PVTX`, `LEIC`, `MBNO`, `NIDN`, `CCPT`, `SHID`, `SOSE`, `TOKN`, `UBIL`, `VIPN`, `BIID`

### AmendmentUltimate

- `ultimate_creditor_name` (string, optional) — Specify the name by which the ultimate creditor is known and which is used to identify that party. For Australia, this parameter is allowed to amend unilaterally.

### MandateResponseMandateAcceptance

- `mandate_request_identification` (string, optional) — Specify Unique identification, as assigned by the clearing scheme, to identify the mandate.
- `status` (enum, optional) — Specifies the status of the mandate registration requested.PDNG=PendingRJCT= RejectedCRTD = CreatedACTV = ActiveSUSD = SuspendedCNCD = Cancelled
  - Allowed values: `PDNG`, `RJCT`, `CRTD`, `ACTV`, `SUSD`, `CNCD`

### ErrorDetails

- `code` (string, optional) — Unique ID for the error code.
- `issue` (string, optional) — more details about the issue.
- `action` (string, optional) — Corrective action to be taken to resolve the issue.

## Examples

**Request**

```json
{
  "amend_details": {
    "amend_reason": "MD16"
  },
  "amendment_mandate_details": {
    "country": "AU",
    "instruction_priority": "NORM"
  }
}
```

**Response**

```json
{
  "mandate_acceptance": {
    "mandate_request_identification": "string",
    "status": "PDNG"
  }
}
```

**SDK Code**

```python
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/recievablesservices/v1/mandates/amend"

querystring = {"client_id":"4683fd9f-03fe-4268-b5da-93bf8203fd91","mandate_identification":"CRED9945461615156344324324354"}

payload = {
    "amend_details": { "amend_reason": "MD16" },
    "amendment_mandate_details": {
        "country": "AU",
        "instruction_priority": "NORM"
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/recievablesservices/v1/mandates/amend?client_id=4683fd9f-03fe-4268-b5da-93bf8203fd91&mandate_identification=CRED9945461615156344324324354';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"amend_details":{"amend_reason":"MD16"},"amendment_mandate_details":{"country":"AU","instruction_priority":"NORM"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/recievablesservices/v1/mandates/amend?client_id=4683fd9f-03fe-4268-b5da-93bf8203fd91&mandate_identification=CRED9945461615156344324324354"

	payload := strings.NewReader("{\n  \"amend_details\": {\n    \"amend_reason\": \"MD16\"\n  },\n  \"amendment_mandate_details\": {\n    \"country\": \"AU\",\n    \"instruction_priority\": \"NORM\"\n  }\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/recievablesservices/v1/mandates/amend?client_id=4683fd9f-03fe-4268-b5da-93bf8203fd91&mandate_identification=CRED9945461615156344324324354")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"amend_details\": {\n    \"amend_reason\": \"MD16\"\n  },\n  \"amendment_mandate_details\": {\n    \"country\": \"AU\",\n    \"instruction_priority\": \"NORM\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://tts.sit.apib2b.citi.com/citiconnect/sit5/recievablesservices/v1/mandates/amend?client_id=4683fd9f-03fe-4268-b5da-93bf8203fd91&mandate_identification=CRED9945461615156344324324354")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"amend_details\": {\n    \"amend_reason\": \"MD16\"\n  },\n  \"amendment_mandate_details\": {\n    \"country\": \"AU\",\n    \"instruction_priority\": \"NORM\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/recievablesservices/v1/mandates/amend?client_id=4683fd9f-03fe-4268-b5da-93bf8203fd91&mandate_identification=CRED9945461615156344324324354', [
  'body' => '{
  "amend_details": {
    "amend_reason": "MD16"
  },
  "amendment_mandate_details": {
    "country": "AU",
    "instruction_priority": "NORM"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/recievablesservices/v1/mandates/amend?client_id=4683fd9f-03fe-4268-b5da-93bf8203fd91&mandate_identification=CRED9945461615156344324324354");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"amend_details\": {\n    \"amend_reason\": \"MD16\"\n  },\n  \"amendment_mandate_details\": {\n    \"country\": \"AU\",\n    \"instruction_priority\": \"NORM\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "amend_details": ["amend_reason": "MD16"],
  "amendment_mandate_details": [
    "country": "AU",
    "instruction_priority": "NORM"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/recievablesservices/v1/mandates/amend?client_id=4683fd9f-03fe-4268-b5da-93bf8203fd91&mandate_identification=CRED9945461615156344324324354")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```